de.esprit.netsuite.server.cfg

## Class ServerConfigKeyAdapter

- java.lang.Object
- - de.esprit.netsuite.server.cfg.ServerConfigKeyAdapter

- All Implemented Interfaces:
    ServerConfigKey, java.io.Serializable

      public final class ServerConfigKeyAdapter
      extends java.lang.Object
      implements ServerConfigKey

  This is a helper class for defining server configuration keys
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.cfg.ServerConfigKey

      `PREFIX_CPU, PREFIX_EMAIL_ACCOUNT, PREFIX_EMAIL_CONFIG, PREFIX_EMAIL_TARGET, PREFIX_ESPRIT, PREFIX_LOG, PREFIX_SERVER, PREFIX_WEBSERVER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConfigKeyAdapter(java.lang.String prefix, java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()` Returns the raw key without a prefix path like 'uniqueServerName'.
    `java.lang.String` | `getMatchKey()` Returns the replacement match key which is the original key surrounded by at signs like '@uniqueServerName@'
    `java.lang.String` | `getMatchKey(int sequenceNum)` Returns the match-key with the given number added like i.e.
    `java.lang.String` | `getName()` Returns the full key name i.e.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerConfigKeyAdapter

          public ServerConfigKeyAdapter(java.lang.String prefix,
                                java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `ServerConfigKey`
      Returns the full key name i.e. 'esprit.server.uniqueServerName'.
      Specified by:
        `getName` in interface `ServerConfigKey`

    - #### getKey

          public java.lang.String getKey()

      Description copied from interface: `ServerConfigKey`
      Returns the raw key without a prefix path like 'uniqueServerName'.
      Specified by:
        `getKey` in interface `ServerConfigKey`

    - #### getMatchKey

          public java.lang.String getMatchKey()

      Description copied from interface: `ServerConfigKey`
      Returns the replacement match key which is the original key surrounded by at signs like '@uniqueServerName@'
      Specified by:
        `getMatchKey` in interface `ServerConfigKey`

    - #### getMatchKey

          public java.lang.String getMatchKey(int sequenceNum)

      Description copied from interface: `ServerConfigKey`
      Returns the match-key with the given number added like i.e. '@address1@', '@address2@'
      Specified by:
        `getMatchKey` in interface `ServerConfigKey`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.